Name:          gsbase
Version:       2.0.1
Release:       1%{?dist}
Summary:       A collection of java utility classes
Group:         Development/Libraries
# http://gsbase.sourceforge.net/license.html Apache style license
License:       ASL 2.0
Url:           http://sourceforge.net/projects/gsbase/
Source0:       http://downloads.sourceforge.net/gsbase/%{name}-%{version}.zip
Source1:       http://repo1.maven.org/maven2/%{name}/%{name}/%{version}/%{name}-%{version}.pom
# build fix for java7
Patch0:        %{name}-%{version}-jdk7.patch

BuildRequires: java-devel

BuildRequires: junit
BuildRequires: junitperf

BuildRequires: maven-local

Requires:      junit
Requires:      junitperf

Requires:      java
BuildArch:     noarch

%description
A collection of classes that are helpful 
when writing JUnit test cases. Classes
include things like a logging subsystem and
a complex layout manager.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -c
find . -name '*.jar' -delete
find . -name '*.class' -delete
rm -r docs/*
%patch0 -p1

cp -pr %{SOURCE1} pom.xml

%if %{?fedora} <= 18
%pom_xpath_remove "pom:dependencies/pom:dependency[pom:artifactId='junitperf']/pom:version"
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:artifactId='junitperf']" "
<scope>system</scope>
<systemPath>$(build-classpath junitperf)</systemPath>"
%endif

%pom_xpath_inject "pom:build/pom:plugins/pom:plugin[pom:artifactId='maven-surefire-plugin']" "<version>any</version>"
# list.size expected:<2> but was:<0>
rm -r src/test/com/gargoylesoftware/base/resource/jdbc/WrapperTestCase.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/CallableStatementWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/ConnectionWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/DatabaseMetaDataWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/PreparedStatementWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/ResultSetWrapperTest.java \
 src/test/com/gargoylesoftware/base/resource/jdbc/StatementWrapperTest.java

%build

mvn-rpmbuild \
 -Dproject.build.sourceEncoding=UTF-8 \
 package javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}
%doc LICENSE.txt

%changelog
* Sat May 05 2012 gil cattaneo <puntogil@libero.it> 2.0.1-1
- initial rpm